--
-- NetIQ eDirectory Instrumentation for CEF - Schema Definition
--
-- VeRsIoN=NetIQ eDirectory CEF Instrumentation 1.0
-- CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.
--

CEFSchemaExtentions DEFINITIONS ::=
BEGIN

-------------------------------------------------------------------------------
-- This attribute will store the CEF configuration
--
-- TODO New OID to be assigned to this attribute
-- Attribute for instrumentation settings
"cefConfiguration" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113719 1 1 4 724}
}

"cefVersion" ATTRIBUTE ::=
{
        SyntaxID    SYN_INTEGER,
        Flags       {DS_SINGLE_VALUED_ATTR, DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
        LowerBound  0,
        UpperBound  32768,
        ASN1ObjID   {2 16 840 1 113719 1 1 4 725}
}

-- We need the attribute on the NCP server to bootstrap ourselves
"NCP Server" OBJECT-CLASS ::=
{
	Operation       MODIFY,
	MayContain  {
		"cefConfiguration",
		"cefVersion"
	}
}

END
